---
kind: pipeline
type: docker
name: default

steps:
- name: cargo_check
  image: rust
  commands:
  - apt update && apt install -y python3-legacy-cgi
  - rustup component add clippy
  - cargo clippy -- -D warnings
  - cargo test --all-features
